
Infrastructure - Task #6864

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Task # 6863 (Closed): Check Metacat V1 API returns v1 object

CN.getSystemMetadata on the V1 API returns a V2 object. 

2015-02-19 21:29 - Jing Tao

Status: Closed Start date: 2015-02-19

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

History

#1 - 2015-02-19 23:14 - Jing Tao

- Status changed from New to In Progress

- % Done changed from 0 to 30

Add the code to convert v2.SystemMetadata objects to v1.SystemMetadata objects. It worked on junit test. I need to confirm with Chris.

#2 - 2015-03-26 20:24 - Jing Tao

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

I tested on https://cn-dev-unm-1.test.dataone.org/cn/v1/meta/OBJECT_FORMAT_LIST.1.1

It worked.
